apps/samplemulti/urls.py
from django.urls import path
from django.views.generic import TemplateView

from apps.questionnaire import views
from . import views as samplemulti_views

app_name = "samplemulti"

urlpatterns = [
    path("", TemplateView.as_view(template_name="samplemulti/home.html"), name="home"),
    path(
        "view/<identifier>/",
        views.QuestionnaireView.as_view(url_namespace=__package__),
        name="questionnaire_details",
    ),
    path(
        "view/<identifier>/<step>/",
        samplemulti_views.questionnaire_view_step,
        name="questionnaire_view_step",
    ),
    path(
        "edit/new/",
        views.QuestionnaireEditView.as_view(url_namespace=__package__),
        name="questionnaire_new",
    ),
    path(
        "edit/<identifier>/",
        views.QuestionnaireEditView.as_view(url_namespace=__package__),
        name="questionnaire_edit",
    ),
    path(
        "edit/<identifier>/<step>/",
        views.QuestionnaireStepView.as_view(url_namespace=__package__),
        name="questionnaire_new_step",
    ),
    path(
        "search/links/",
        views.QuestionnaireLinkSearchView.as_view(configuration_code=__package__),
        name="questionnaire_link_search",
    ),
    path(
        "list/",
        views.QuestionnaireListView.as_view(configuration_code=__package__),
        name="questionnaire_list",
    ),
    path(
        "list_partial/",
        views.QuestionnaireListView.as_view(configuration_code=__package__),
        name="questionnaire_list_partial",
    ),
]

config/urls.py
from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import reverse_lazy, path, include
from django.views.generic import TemplateView, RedirectView

from apps.qcat.views import AdminLoginView, FactsTeaserView

urlpatterns = [
    path("about/", include("apps.qcat.urls")),
    path("grappelli/", include("grappelli.urls")),
    path("admin/login/", AdminLoginView.as_view(), name="admin_login"),
    path("admin/", admin.site.urls),
    # path("sitemap.xml", sitemap, {"sitemaps": views.static_sitemap}, name="django.contrib.sitemaps.views.sitemap",),
    path("robots.txt", TemplateView.as_view(template_name="robots.txt")),
    path("api/temp1/", include("apps.api.urls.temp")),
]
# en/questionnaire
urlpatterns += i18n_patterns(
    path(
        "",
        RedirectView.as_view(url=reverse_lazy("wocat:home"), permanent=False),
        name="home",
    ),
    path("accounts/", include("apps.accounts.urls")),
    path("api/", include("apps.api.urls")),
    path("configuration/", include("apps.configuration.urls")),
    path("notifications/", include("apps.notifications.urls")),
    path("qcat/facts_teaser", FactsTeaserView.as_view(), name="facts_teaser"),
    path("questionnaire/", include("apps.questionnaire.urls")),
    path("search/", include("apps.search.urls")),
    path("samplemulti/", include("apps.samplemulti.urls")),
    path("summary/", include("apps.summary.urls")),
    path("unccd/", include("apps.unccd.urls")),
    path("wocat/", include("apps.wocat.urls")),
    path("wocat/approaches/", include("apps.approaches.urls")),
    path("wocat/cca/", include("apps.cca.urls")),
    path("wocat/cbp/", include("apps.cbp.urls")),
    path("wocat/technologies/", include("apps.technologies.urls")),
    path("wocat/watershed/", include("apps.watershed.urls")),
)

if settings.DEBUG:
    urlpatterns += [path("__debug__/", include("debug_toolbar.urls"))]

urlpatterns += i18n_patterns(
    path("samplemodule/", include("apps.samplemodule.urls")),
    path("404/", TemplateView.as_view(template_name="404.html")),
    path("500/", TemplateView.as_view(template_name="500.html")),
    path("503/", TemplateView.as_view(template_name="503.html")),
) + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

apps/samplemulti/views.py
from django.contrib.auth.decorators import login_required

from apps.questionnaire.views import generic_questionnaire_view_step


@login_required
def questionnaire_view_step(request, identifier, step):
    """
    View rendering the form of a single step of a new SAMPLEMULTI
    questionnaire in read-only mode.
    """
    return generic_questionnaire_view_step(
        request, identifier, step, "samplemulti", page_title="SAMPLEMULTI"
    )

apps/samplemulti/templates/samplemulti/base.html
{% extends 'base.html' %}

{% load static %}
{% load i18n %}

{% block title %}SAMPLEMULTI{% endblock %}

{% block bodyclass %}layout-tech is-samplemulti{% endblock %}
{% block navclass %}is-samplemulti{% endblock %}

{% block header %}
  {% include "wocat/partial/top.html" with current='samplemulti' %}
{% endblock %}

{% block bottom %}
{% endblock %}

apps/samplemulti/templates/samplemulti/home.html
{% extends 'samplemulti/base.html' %}

{% load i18n %}

{% block content %}

<section class="hero" data-equalizer>
  <div class="row large-collapse" data-equalizer-watch>
    <div class="medium-4 large-5 columns">
      <h1 class="is-sample">SAMPLEMULTI</h1>
      <p class="is-large">World Overview of Conservation Approaches and Technologies</p>
      <p class="is-light">SAMPLEMULTI is an established global network of Soil and Water Conservation (SWC) specialists, dedicated to sustainable land management (SLM). </p>
      <a href="{% url 'samplemulti:questionnaire_new' %}" class="button is-sample">Add a new Technology</a>
    </div>
  </div>
  <div class="hero-media" data-equalizer-watch>
    <div class="media-container is-16_9">
      <iframe src="https://player.vimeo.com/video/30426479?color=ff9933&portrait=0" width="560" height="315" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
    </div>
  </div>
</section>

<main class="row large-collapse" role="main">
  {% include "wocat/partial/search.html" with current="samplemulti" %}
  <section class="tech-list small-12 columns">
    <div class="tech-group">
      <h2 class="is-group">Last updates</h2>
      {% include "samplemulti/questionnaire/partial/list.html" %}
    </div>
  </section>
</main>

{% endblock %}